gRPC C#
gRPC C#
Namespaces
Grpc.Core
Server Class
Server Methods
KillAsync Method
ShutdownAsync Method
Start Method

Server KillAsync Method

Requests server shutdown while cancelling all the in-progress calls. The returned task finishes when shutdown procedure is complete.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public Task KillAsync()

    Public Function KillAsync As Task

    public:
    Task^ KillAsync()

    member KillAsync : unit -> Task

#### Return Value

Type: Task
See Also

#### Reference

Server Class
Grpc.Core Namespace